Subject: Re: : 'The Dust Bowl': A poignant study of an eco-tragedy
From: Kay price <[email-masked]>
To: Jim Kirchstein <[email-masked]>
Date: Mon, 19 Nov 2012 08:11:23 -0600

Me too. Plan to watch Part Two tonight. i will when I get home. What stopped the dust? Obviously some rain would help.

On Nov 19, 2012, at 7:41 AM, "Jim Kirchstein" <[email-masked]> wrote:

> I watched it...unbelievable.
> 
> 
> --------------------------------------------------
> From: "Kay price" <[email-masked]>
> Sent: Saturday, November 17, 2012 5:03 PM
> To: "Jim Kirchstein" <[email-masked]>
> Subject: : 'The Dust Bowl': A poignant study of an eco-tragedy
> 
>> Jim, I forgot to tell you this sounds very good and worth watching.  Kay
>> 
>> Check out this article that I saw in USA TODAY's iPad application.
>> 
>> 'The Dust Bowl': A poignant study of an eco-tragedy
>> http://usat.ly/TP2qgq
>> 
>> To view the story, click the link or paste it into your browser.
>> 
>> To learn more about USA TODAY for iPad and download, visit: http://usatoday.com/ipad/=
>